Bug 248407 - Review Request: perl-Term-ReadPassword - Asking the user for a password
Summary: Review Request: perl-Term-ReadPassword - Asking the user for a password
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-16 17:48 UTC by Steven Pritchard
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 16:51:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dominik: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-07-16 17:48:36 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Term-ReadPassword/perl-Term-ReadPassword.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Term-ReadPassword-0.07-1.src.rpm
Description:
This module lets you ask the user for a password in the traditional way,
from the keyboard, without echoing.

Comment 1 Dominik 'Rathann' Mierzejewski 2007-07-16 18:07:51 UTC
Great. I wanted to package it myself a long time ago. Taking the review.

Comment 2 Steven Pritchard 2007-07-23 22:24:21 UTC
Any luck with that review?

Comment 3 Dominik 'Rathann' Mierzejewski 2007-07-24 12:27:27 UTC
I'll do it tonight. Sorry for the delay.

Comment 4 Dominik 'Rathann' Mierzejewski 2007-07-24 21:07:40 UTC
MUST items:
 1. rpmlint is quiet
 2. package named properly
 3. spec filename matches package name
 4. meets packaging guidelines
 5. open source license
 6. license field matches actual license
 7. specfile written in AmE
 8. specfile is legible
 9. sources match upstream:
cc1a611fbb6dfd4d6e96e54434bb20b8  Term-ReadPassword-0.07.tar.gz
10. builds properly on devel/x86_64
11. no ExcludeArch necessary
12. proper BuildRequires
13. doesn't have locales
14. no shared libraries
15. not relocatable
16. owns all directories it creates
17. no duplicates in %files
18. proper file permissions
19. proper %clean section
20. consistent macro usage
21. code, not content
22. no large docs
23. %doc not necessary for runtime operation
24. no headers
25. no static libs
26. no pkgconfig files
27. no libraries with suffix
28. no devel subpackage
29. no .la files
30. no GUI
31. owns directories owned by other packages: perl-Term-ProgressBar,
perl-Term-UI -> we don't have any package owning %{perl_vendorlib}/Term, though,
so this is OK.
32. cleans buildroot in %install
33. filenames are valid UTF-8

SHOULD items:
 1. source package doesn't include any license file, please ask upstream to
include it
 2. no translations of summary/description available
 3. builds in mock/devel/x86_64
 4. noarch package
 5. software works as intended
 6. no scriptlets used
 7. no subpackages
 8. no pkgconfig files
 9. no file dependencies

APPROVED


Comment 5 Steven Pritchard 2007-07-24 22:53:06 UTC
New Package CVS Request
=======================
Package Name: perl-Term-ReadPassword
Short Description: Asking the user for a password
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com


Note You need to log in before you can comment on or make changes to this bug.